Bug 1132956 - (CVE-2014-5388) CVE-2014-5388 Qemu: out of bounds memory access
CVE-2014-5388 Qemu: out of bounds memory access
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140819,reported=2...
: Security
Depends On: 1132962 1132964 1132967
Blocks: 1132315
  Show dependency treegraph
 
Reported: 2014-08-22 08:42 EDT by Prasad J Pandit
Modified: 2015-11-25 05:10 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 06:29:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2014-08-22 08:42:35 EDT
An out of bounds memory access flaw was found in Qemu's ACPI PCI hotplug
interface. It leads to Qemu's memory corruption via OOB write(4 bytes) and 
information disclosure(~12 bytes) through OOB read.

A user with a custom PCI device could use this flaw to leak qemu process'
memory bytes or corrupt them on the host.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2014-08/msg03338.html
Comment 1 Prasad J Pandit 2014-08-22 08:51:25 EDT
Statement:

This issue does not affect the versions of kvm package as shipped with Red Hat
Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped with Red Hat Enterprise Linux 6 and 7.
Comment 3 Murray McAllister 2014-08-25 01:50:46 EDT
MITRE assigned CVE-2014-5388 to this issue:

http://seclists.org/oss-sec/2014/q3/440
Comment 4 Prasad J Pandit 2014-08-25 02:05:45 EDT
Acknowledgement:

Red Hat would like to thank Michael S. Tsirkin for reporting this issue.
Comment 5 Fedora Update System 2014-09-23 01:07:40 EDT
qemu-2.1.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.